<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<meta charset="utf-8" />
<title>Modifica classe</title>
</head>
<body>

  
    <div align="center" >
        <br />
        
    
	<h1>Modifica una classe</h1>

    
         <form action="#" th:action="@{/editClasse}" th:object="${classe_scelta}" method='POST'>
        	<div class="form-group">
			<div align="left" class="col-md-4">
			<hr/>
				<b>Seleziona una classe</b>
                    <select class="form-control" th:field="*{idClasse}">
                         <option value=""> -- </option>
                         <option th:each="classe : ${classi}"
                            th:value="${classe.idClasse}"
                            th:utext="${classe.nomeClasse}"/>
                  </select>
                  <b>Nome classe</b> <input class="form-control" th:classappend="${#fields.hasErrors('nomeClasse')}? is-invalid : ''" type="text" id="nomeClasse" placeholder="Es. 1A" th:field="*{nomeClasse}"/>
				    <span class="text-danger" th:if="${#fields.hasErrors('nomeClasse')}" th:errors="*{nomeClasse}">Incorrect name</span>
				    <b>Numero studenti</b> <input class="form-control" type="text" id="numeroStudenti" th:field="*{numeroStudenti}"/>
         </div>
         </div>
        
         <button type="submit" class="btn btn-primary">Modifica</button>
        </form>

	<a href="\paginaPersonale">Vai alla pagina personale</a>
	</div>
	
    
    
</body>
</html>